
#parameter: $1 username for github, $2 password for github, $3 iteration number, $4 list of repository names to search manifest in





ACCEPT_COMMAND="'Accept: application/vnd.github.v3.text-match+json'"

USER=$1
PASSWORD=$2
ITERATION=$3
COUNT="0"

echo "" #> script2results/proj_test_files_"$KEYWORD"_"$ITERATION".txt

total=` cat $4 | wc -l `
number="1"

while read p; do

	CURR_REPOSITORY=$p
	CURRENT_PAGE="1"
	SEARCH_NAMES="0"

	echo "doing $number of $total"

	curl -u $USER:$PASSWORD -H 'Accept: application/vnd.github.v3.text-match+json' 'https://api.github.com/search/code?q=setContentView+repo:'$p'&page='$CURRENT_PAGE'' > script_manifest_search_tmp/tmp_json_res_$ITERATION.txt

	ERRORS=`cat script_manifest_search_tmp/tmp_json_res_$ITERATION.txt | jsawk 'return this.errors'` 
	if [ -n "$ERRORS" ]
	then
		echo $CURR_REPOSITORY: `script_manifest_search_tmp/tmp_json_res_$ITERATION.txt | jsawk 'return this.errors' | jsawk 'return this.message'` >> script_manifest_search_logs/errors_"$ITERATION".txt
	fi

	N_OCCURRENCES=`cat script_manifest_search_tmp/tmp_json_res_$ITERATION.txt | jsawk 'return this.total_count'`


	echo "$CURR_REPOSITORY - $N_OCCURRENCES" >> script_manifest_search_results/results_"$ITERATION".txt
 
	number=$(( $number + 1 ))
	sleep 3s

done < $4
