#starting from a list of projects, it enumerates the number of versions for each of them.
#it can be used on any set of projects (e.g. android or junit)



USER=$1
PASSWORD=$2
INPUT=$3
OUTPUT=$4
CURRENT_PAGE="1"
CURRENT_REPO="1"
REPOS_WITH_RELEASES="0"

N_REPOS=`cat $3 | wc -l`
#echo "" > $4

while read repository; do
	echo doing $CURRENT_REPO of $N_REPOS
	CURRENT_REPO=$(($CURRENT_REPO + 1))

	
	RESULT=`curl -u $USER:$PASSWORD -H 'Accept: application/vnd.github.v3.text.match+json' "https://api.github.com/repos/$repository/tags?page=1&per_page=100" | jsawk 'return this.name'`



	if [ "$RESULT" = "[]" ]; then
		echo "progetto senza release"
		N_ITEMS="0"
		echo $repository: $N_ITEMS >> $4
	else
		REPOS_WITH_RELEASES=$(($REPOS_WITH_RELEASES + 1))
		N_ITEMS=`curl -u $USER:$PASSWORD -H 'Accept: application/vnd.github.v3.text.match+json' "https://api.github.com/repos/$repository/tags?page=1&per_page=100" | jsawk 'return this.name'| tr -d '"[]' | tr "," "\n" | wc -l`


		N_ITEMS_TOTAL=$N_ITEMS
		N_PAGE="1"
		while [ $N_ITEMS -eq 100 ]; do
			N_PAGE=$(( $N_PAGE + 1 ))
			N_ITEMS=`curl -u $USER:$PASSWORD -H 'Accept: application/vnd.github.v3.text.match+json' "https://api.github.com/repos/$repository/tags?page=$N_PAGE&per_page=100" | jsawk 'return this.name'| tr -d '"[]' | tr "," "\n" | wc -l`

			N_ITEMS_TOTAL=$(( $N_ITEMS_TOTAL + $N_ITEMS ))
		done
		echo $repository: $N_ITEMS_TOTAL >> $4
	fi
	

	sleep 10s

done < $3
