
#parameter: $1 username for github, $2 password for github, $3 iteration number, $4 list of repository names to search manifest in





ACCEPT_COMMAND="'Accept: application/vnd.github.v3.text-match+json'"

USER=$1
PASSWORD=$2
ITERATION=$3
COUNT="0"

echo "" #> script2results/proj_test_files_"$KEYWORD"_"$ITERATION".txt

while read p; do

	CURR_REPOSITORY=$p
	CURRENT_PAGE="1"
	SEARCH_NAMES="0"

	curl -u $USER:$PASSWORD -H 'Accept: application/vnd.github.v3.text-match+json' 'https://api.github.com/search/code?q=manifest+filename:AndroidManifest.xml+repo:'$p'&page='$CURRENT_PAGE'' > script_manifest_search_tmp/tmp_json_res_$ITERATION.txt

	ERRORS=`cat script_manifest_search_tmp/tmp_json_res_$ITERATION.txt | jsawk 'return this.errors'` 
	if [ -n "$ERRORS" ]
	then
		echo $CURR_REPOSITORY: `script_manifest_search_tmp/tmp_json_res_$ITERATION.txt | jsawk 'return this.errors' | jsawk 'return this.message'` >> script_manifest_search_logs/errors_"$ITERATION".txt
	fi

	N_OCCURRENCES=`cat script_manifest_search_tmp/tmp_json_res_$ITERATION.txt | jsawk 'return this.total_count'`


	echo "$CURR_REPOSITORY - $N_OCCURRENCES" >> script_manifest_search_results/results_"$ITERATION".txt
 
	if [ "$SEARCH_NAMES" -ne "0" ]; then
	if [ "$N_OCCURRENCES" -ne "0" ]
	then
		echo "found $N_OCCURRENCES"
#		echo "$CURR_REPOSITORY - $N_OCCURRENCES" >> script_manifest_search_results/results_"$ITERATION".txt

		N_PAGES=$(($N_OCCURRENCES / 30))
		N_PAGES=$(($N_PAGES + 1))

		if [ $N_PAGES -ge 31 ]
		then
			echo "$CURR_REPOSITORY: more than 1000 files found" >> script2logs/proj_test_files_"$KEYWORD"_"$ITERATION".txt
			N_PAGES=30
		fi

		cat script_manifest_search_tmp/tmp_json_res_$ITERATION.txt | jsawk 'return this.items' | jsawk 'return this.path' >> script_manifest_search_results/results_"$ITERATION".txt
		for (( i=2; i <= $N_PAGES; i++ ))
		do

			#read -n 1 -s
			CURRENT_PAGE=$(( $i ))
			echo processing page $CURRENT_PAGE
			curl -u $USER:$PASSWORD -H 'Accept: application/vnd.github.v3.text-match+json' 'https://api.github.com/search/code?q=manifest+filename:AndroidManifest.xml+repo:'$p'&page='$CURRENT_PAGE'' | jsawk 'return this.items' | jsawk 'return this.path' >> script_manifest_search_results/results_"$ITERATION".txt
			sleep 2s
		done
		echo "" >> script_manifest_search_results/results_"$ITERATION".txt
		COUNT=$(( $COUNT + 1 ))

	fi
	fi
	sleep 2s

done < $4
